Bug 167187 - New UTF-8 Bugs in localization
New UTF-8 Bugs in localization
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 09:58 EDT by Christoph Wickert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.42-5.0.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 07:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2005-08-31 09:58:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
German Umlauts (ä, ü ...) have become cedil sign ("¸")

Version-Release number of selected component (if applicable):
yumex-0.42-4.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Start yumex
2. Choose "Repos"
  

Actual Results:  The Heading is "Pakete ausw¸hlen", "Size" has become "Gr¸¸e"

Expected Results:  Should be "Pakete auswählen" and "Größe" 


Additional info:

$ locale
LANG=de_DE.UTF-8
LC_CTYPE="de_DE.UTF-8"
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=
Comment 1 Tim Lauridsen 2005-09-03 01:25:38 EDT
I seames like the german translation not was written as UTF-8, so it special
german char are translated wrong, when convert to UTF-8 used by GTK.
I will get the german translator to fix the translation .po file, and i will
make a new build with the fixes.
Comment 2 Christoph Wickert 2005-09-07 07:33:30 EDT
I can confirm that all errors are fixed in yumex-0.42-5.0.fc4. Thanks for the
fast response.

Note You need to log in before you can comment on or make changes to this bug.